radius_put_vendor_int
radius_request_authenticator
Fonctions Radius
PHP Manual

# radius_put_vendor_string

(PECL radius >= 1.1.0)

radius_put_vendor_string — Attache un attribut sous la forme d'une chaîne à un vendeur spécifique

### Description

bool radius_put_vendor_string ( resource `$radius_handle` , int `$vendor` , int `$type` , string `$value` [, int `$options` = 0 [, int `$tag` ]] )

Attache un attribut spécifique au vendeur à la requête courante RADIUS. En général, radius_put_vendor_attr() est une fonction plus pratique pour attacher des attributs, sachant qu'elle est sécurisé au niveau binaire.

### Liste de paramètres

`radius_handle`

  La ressource RADIUS.

`vendor`

  L'identifiant du vendeur.

`type`

  Le type d'attribut.

`value`

  La valeur de l'attribut. Cette valeur est attendue par la bibliothèque sous-jacente comme se terminant par `NULL` ; aussi, ce paramètre n'est pas sécurisé au niveau binaire.

`options`

  Un masqe d'options d'attribut. Les options disponibles incluent `RADIUS_OPTION_TAGGED` et `RADIUS_OPTION_SALT`.

`tag`

  L'attribut tag. Ce paramètre est ignoré tant que l'option `RADIUS_OPTION_TAGGED` est défini.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient.

### Historique

Version | Description
--- | ---
PECL radius 1.3.0 | Les paramètres `options` et `tag` ont été ajoutés.

### Voir aussi

- radius_put_vendor_int() - Attache un attribut entier à un vendeur spécifique

radius_put_vendor_int
radius_request_authenticator
Fonctions Radius
PHP Manual